﻿<Window x:Class="Login2.AdminWork"
        xmlns="http://schemas.microsoft.com/winfx/2006/xaml/presentation"
        xmlns:x="http://schemas.microsoft.com/winfx/2006/xaml"
        xmlns:d="http://schemas.microsoft.com/expression/blend/2008"
        xmlns:mc="http://schemas.openxmlformats.org/markup-compatibility/2006"
        xmlns:materialDesign="http://materialdesigninxaml.net/winfx/xaml/themes"
        xmlns:local="clr-namespace:Login2"
        mc:Ignorable="d"
        Title="AdminWork"    Width="1000" Height="620" Background="WhiteSmoke"  ResizeMode="CanResizeWithGrip" AllowsTransparency="True"  MinWidth="1000" MinHeight="620" ShowInTaskbar="True" WindowStartupLocation="CenterScreen" WindowStyle="None">

    <Window.Resources>
        
        <Style
        x:Key="ButtonOpen"
        TargetType="{x:Type Button}" 
        BasedOn="{StaticResource MaterialDesignRaisedButton}">
            <Setter Property="Content">
                <Setter.Value>
                    <materialDesign:PackIcon Kind="Application" Foreground="White" Width="40" Height="40" Margin="-10" ToolTip="Развернуть"/>
                </Setter.Value>
            </Setter>
            <Style.Triggers>
                <Trigger  Property="IsMouseOver" Value="True">
                    <Setter Property="Content">
                        <Setter.Value>
                            <materialDesign:PackIcon Kind="Application" Foreground="#FFEACAC7" Width="45" Height="45" Margin="-10" ToolTip="Развернуть"/>
                        </Setter.Value>
                    </Setter>
                </Trigger>
            </Style.Triggers>
        </Style>
        <Style
        x:Key="ButtonMinimize"
        TargetType="{x:Type Button}" 
        BasedOn="{StaticResource MaterialDesignRaisedButton}">
            <Setter Property="Content">
                <Setter.Value>
                    <materialDesign:PackIcon Kind="WindowMinimize" Foreground="White" Width="40" Height="40" Margin="-10,10,-10,-10" ToolTip="Свернуть"/>
                </Setter.Value>
            </Setter>
            <Style.Triggers>
                <Trigger  Property="IsMouseOver" Value="True">
                    <Setter Property="Content">
                        <Setter.Value>
                            <materialDesign:PackIcon Kind="WindowMinimize" Foreground="#FFEACAC7" Width="45" Height="45" Margin="-10,10,-10,-10" ToolTip="Свернуть"/>
                        </Setter.Value>
                    </Setter>
                </Trigger>
            </Style.Triggers>
        </Style>
        <Style
        x:Key="ButtonSetting"
        TargetType="{x:Type Button}" 
        BasedOn="{StaticResource MaterialDesignRaisedButton}">
            <Setter Property="Content">
                <Setter.Value>
                    <materialDesign:PackIcon Kind="PlusCircleMultipleOutline" Foreground="White" Width="40" Height="40" Margin="-10" ToolTip="Настройки справочников"/>
                </Setter.Value>
            </Setter>
            <Style.Triggers>
                <Trigger  Property="IsMouseOver" Value="True">
                    <Setter Property="Content">
                        <Setter.Value>
                            <materialDesign:PackIcon Kind="PlusCircleMultipleOutline" Foreground="#FFEACAC7" Width="45" Height="45" Margin="-10" ToolTip="Настройки справочников"/>
                        </Setter.Value>
                    </Setter>
                </Trigger>
            </Style.Triggers>
        </Style>
        <Style
        x:Key="ButtonRight"
        TargetType="{x:Type Button}" 
        BasedOn="{StaticResource MaterialDesignRaisedButton}">
            <Setter Property="Content">
                <Setter.Value>
                    <materialDesign:PackIcon Kind="ArrowRight" Foreground="White" Width="40" Height="40" Margin="-10" ToolTip="Развернуть"/>
                </Setter.Value>
            </Setter>
            <Style.Triggers>
                <Trigger  Property="IsMouseOver" Value="True">
                    <Setter Property="Content">
                        <Setter.Value>
                            <materialDesign:PackIcon Kind="ArrowRight" Foreground="#FFEACAC7" Width="45" Height="45" Margin="-10" ToolTip="Развернуть"/>
                        </Setter.Value>
                    </Setter>
                </Trigger>
            </Style.Triggers>
        </Style>
        <Style
        x:Key="ButtonLeft"
        TargetType="{x:Type Button}" 
        BasedOn="{StaticResource MaterialDesignRaisedButton}">
            <Setter Property="Content">
                <Setter.Value>
                    <materialDesign:PackIcon Kind="ArrowLeft" Foreground="White" Width="40" Height="40" Margin="-10" ToolTip="Развернуть"/>
                </Setter.Value>
            </Setter>
            <Style.Triggers>
                <Trigger  Property="IsMouseOver" Value="True">
                    <Setter Property="Content">
                        <Setter.Value>
                            <materialDesign:PackIcon Kind="ArrowLeft" Foreground="#FFEACAC7" Width="45" Height="45" Margin="-10" ToolTip="Развернуть"/>
                        </Setter.Value>
                    </Setter>
                </Trigger>
            </Style.Triggers>
        </Style>
        <Style
        x:Key="ButtonClose"
        TargetType="{x:Type Button}" 
        BasedOn="{StaticResource MaterialDesignRaisedButton}">
            <Setter Property="Content">
                <Setter.Value>
                    <materialDesign:PackIcon Kind="Close" Foreground="White" Width="40" Height="40" Margin="-10" ToolTip="Развернуть"/>
                </Setter.Value>
            </Setter>
            <Style.Triggers>
                <Trigger  Property="IsMouseOver" Value="True">
                    <Setter Property="Content">
                        <Setter.Value>
                            <materialDesign:PackIcon Kind="Close" Foreground="#FFEACAC7" Width="45" Height="45" Margin="-10" ToolTip="Развернуть"/>
                        </Setter.Value>
                    </Setter>
                </Trigger>
            </Style.Triggers>
        </Style>
    </Window.Resources>



    <Grid>
        <Grid.RowDefinitions>
            
            <RowDefinition Height="60"/>
            
            <RowDefinition Height="1*"/>
            <RowDefinition Height="5"/>
        </Grid.RowDefinitions>


        
        <Grid Grid.Row="0" Background="White" MouseLeftButtonDown="Grid_MouseLeftButtonDown">
            <Rectangle Height="60" VerticalAlignment="Top" >
                <Rectangle.Fill>
                    <LinearGradientBrush EndPoint="0.5,1" StartPoint="0.5,0">
                        <GradientStop Color="#FF2281D1" Offset="0.149"/>
                        <GradientStop Color="#FF34268A" Offset="1"/>
                        <GradientStop Color="#FF33288B" Offset="0.807"/>
                    </LinearGradientBrush>
                </Rectangle.Fill>
            </Rectangle>
            <materialDesign:PackIcon Kind="Bus" Foreground="White" Width="60" Height="60" HorizontalAlignment="Left" Margin="5,0,0,0"/>
            <TextBlock HorizontalAlignment="Left" VerticalAlignment="Center" Margin="70, 0, 0, 0" FontSize="48" Foreground="White" FontFamily="HondaC" FontWeight="Bold">ИСА</TextBlock>
            <StackPanel Orientation="Horizontal" HorizontalAlignment="Right">
                <Button  x:Name="L" Background="{x:Null}" BorderBrush="{x:Null}" VerticalAlignment="Center"  Height="60" Width="60" Style="{StaticResource ButtonLeft}" Click="Button_Click_4"/>
                <Button  x:Name="R" Background="{x:Null}" BorderBrush="{x:Null}" VerticalAlignment="Top"  Height="60" Width="60" Style="{StaticResource ButtonRight}" Click="Button_Click_3"/>
                <Button x:Name="Set" Background="{x:Null}" BorderBrush="{x:Null}" VerticalAlignment="Center"  Height="60" Width="60" Style="{StaticResource ButtonSetting}" Click="Button_Click_5"/>
                <Button Background="{x:Null}" BorderBrush="{x:Null}" VerticalAlignment="Center"  Height="60" Width="60" Style="{StaticResource ButtonMinimize}" Click="Button_Click_2"/>
                <Button Background="{x:Null}" BorderBrush="{x:Null}" VerticalAlignment="Center"  Height="60" Width="60"   Style="{StaticResource ButtonOpen}" Click="Button_Click_1"/>
                <Button Background="{x:Null}" BorderBrush="{x:Null}" VerticalAlignment="Center"  Width="60" Height="60" Style="{StaticResource ButtonClose}" Click="Button_Click"/>
            </StackPanel>
            
        </Grid>
        <Grid Grid.Row="1">
            <Grid.ColumnDefinitions>
                <ColumnDefinition Width="5"/>
                <ColumnDefinition Width="*"/>
                <ColumnDefinition Width="5"/>
            </Grid.ColumnDefinitions>
            <Grid Grid.Row="2" Grid.Column="0" Background="DarkBlue"/>
            <Frame x:Name="Main" NavigationUIVisibility="Hidden" Grid.Row="2" Grid.Column="1"/>
            <Grid Grid.Row="2" Grid.Column="2" Background="DarkBlue"/>
            
        </Grid>
        <Grid Grid.Row="2" Background="DarkBlue"/>
    </Grid>
</Window>
